This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1266940 - sssd-client.i686 on x86_64 has unowned directories
sssd-client.i686 on x86_64 has unowned directories
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
22
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Lukas Slebodnik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-28 11:28 EDT by Orion Poplawski
Modified: 2016-02-01 19:54 EST (History)
9 users (show)

See Also:
Fixed In Version: sssd-1.13.3-3.fc23 sssd-1.13.3-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-24 21:21:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-09-28 11:28:13 EDT
Description of problem:

Installing sssd-client-1.12.5-3.fc21.i686 on my x86_64 machine results in the following unowned directories:

file /usr/lib/cifs-utils is not owned by any package
file /usr/lib/sssd is not owned by any package

Same with sssd-client-1.13.0-6.fc24.i686.
Comment 1 Lukas Slebodnik 2015-10-07 08:48:15 EDT
I would like to apologize for late reply.

I was able to install sssd-client.i686 after installing sssd-client.x86_64. I also did not see any problem in yum/dnf install output.

I would like to ask what do you mean by "file /usr/lib/cifs-utils is not owned by any package". It is not a file it's a directory.

If you mean "rpm --query --file" then neither 32 bit nor 64 bit version is owned by any package.

[root@host ~]# rpm --query --file /usr/lib*/cifs-utils/ /usr/lib*/sssd/modules/
file /usr/lib64/cifs-utils is not owned by any package
file /usr/lib/cifs-utils is not owned by any package
file /usr/lib64/sssd/modules is not owned by any package
file /usr/lib/sssd/modules is not owned by any package


But files in these directories are owned by correct packages.
[root@host ~]# rpm --query --file /usr/lib*/cifs-utils/cifs* \
                                  /usr/lib*/sssd/modules/sssd_krb5*
sssd-client-1.13.0-7.fc23.x86_64
sssd-client-1.13.0-7.fc23.i686
sssd-client-1.13.0-7.fc23.x86_64
sssd-client-1.13.0-7.fc23.i686
Comment 2 Lukas Slebodnik 2015-10-07 09:00:36 EDT
BTW directory are not owned by any package even with 64 bit version of sssd-client. Could you describe what is the problem?

[root@host ~]# rpm --query --file /usr/lib*/cifs-utils/ /usr/lib*/sssd/modules/
file /usr/lib64/cifs-utils is not owned by any package
file /usr/lib64/sssd/modules is not owned by any package

[root@host ~]# rpm --query --file /usr/lib*/cifs-utils/cifs* /usr/lib*/sssd/modules/sssd_krb5*
sssd-client-1.13.0-4.fc22.x86_64
sssd-client-1.13.0-4.fc22.x86_64

[root@host ~]# ls -l /usr/lib*/cifs-utils/cifs* /usr/lib*/sssd/modules/sssd_krb5*
-rwxr-xr-x. 1 root root 10912 Sep 10 14:58 /usr/lib64/cifs-utils/cifs_idmap_sss.so
-rwxr-xr-x. 1 root root 27880 Sep 10 14:58 /usr/lib64/sssd/modules/sssd_krb5_localauth_plugin.so
Comment 3 Orion Poplawski 2015-10-07 11:00:32 EDT
Every file and directory needs to be owned by (preferably) one rpm package.
https://fedoraproject.org/wiki/Packaging:UnownedDirectories
Comment 4 Sumit Bose 2015-10-07 12:38:42 EDT
/usr/lib*/cifs-utils/ is originally owned by the cifs-utils package which has

   %dir %{_libdir}/%{name}

in the %files section of the spec file. I guess we should add 

   %dir {_libdir}/cifs-utils

to the sssd-client package and 

   %dir %{_libdir}/sssd/modules

to the sssd-common package.
Comment 5 Fedora End Of Life 2015-11-04 10:20:55 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Lukas Slebodnik 2016-01-15 13:12:58 EST
master:
* 8d0051d4c8ac7de105a15e4bcc9df5567f8fad26
Comment 7 Fedora Update System 2016-01-19 13:58:58 EST
sssd-1.13.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-61146827f2
Comment 8 Fedora Update System 2016-01-19 13:59:34 EST
sssd-1.13.3-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dca09ef2d7
Comment 9 Fedora Update System 2016-01-20 13:22:29 EST
sssd-1.13.3-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-61146827f2
Comment 10 Fedora Update System 2016-01-20 14:51:23 EST
sssd-1.13.3-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dca09ef2d7
Comment 11 Fedora Update System 2016-01-21 23:59:35 EST
sssd-1.13.3-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-61146827f2
Comment 12 Fedora Update System 2016-01-23 16:31:06 EST
sssd-1.13.3-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dca09ef2d7
Comment 13 Fedora Update System 2016-01-24 21:20:58 EST
sssd-1.13.3-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-02-01 19:54:21 EST
sssd-1.13.3-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.